<div class="profile" *ngIf="profile$ | async as profile">
  <div class="cover">
    <img [src]="profile.cover_photo ? getUrl(profile.cover_photo) : 'assets/images/no-image.png'" alt="" />
    <div class="photo">
      <img [src]="profile.image ? getUrl(profile.image) : 'assets/images/no-image.png'" alt="" />
    </div>
    <div class="name" *ngIf="provider == null">
      {{ profile.fname }} {{ profile.lname }}
      <button [routerLink]="['edit']" class="edit-button">
        <fa-icon [icon]="faPen"></fa-icon>
      </button>
      <div class="stats">{{ profile.email }}</div>
    </div>
    <div class="name" *ngIf="provider !== null">
      {{ profile.fname }}
      <button [routerLink]="['edit']" class="edit-button">
        <fa-icon [icon]="faPen"></fa-icon>
      </button>
      <div class="stats">{{ profile.email }}</div>
    </div>
  </div>

  <div class="description">
    {{ profile.description }}
  </div>
  <div class="place">
    {{ profile?.country?.country_name }}
  </div>
  <!-- <ngb-tabset type="pills">
    <ng-container *ngFor="let option of options">
      <ngb-tab id="{{ option.id }}">
        <ng-template ngbTabTitle>
          <div class="link">{{ option.name }}</div>
        </ng-template>
        <ng-template ngbTabContent>
          <div class="layout">
            <div class="item" *ngFor="let post of posts$ | async">
              <img
                *ngIf="post.type !== 'video'"
                [src]="getUrl(post.image)"
                class="avatar"
                [routerLink]="['/post/', post.id]"
              />
              <div class="video-overlay" *ngIf="post.type === 'video'" [routerLink]="['/post/', post.id]">
                <video>
                  <source [src]="getUrl(post.image)" />
                </video>
              </div>
            </div>
          </div>
        </ng-template>
      </ngb-tab>
    </ng-container>
  </ngb-tabset> -->

  <!-- <div class="place">Manila, Philippines</div> -->
  <!-- <div class="navigation">
    <div class="link">Top Posts</div>
    <div class="link">Activity</div>
    <div class="link">Gallery</div>
    <div class="link">Followers</div>
    <div class="link">Following</div>
  </div> -->

  <div class="posts">
    <div class="post" *ngFor="let post of posts$ | async">
      <img *ngIf="post.type !== 'video'" [src]="getUrl(post.image)" class="avatar" [routerLink]="['/post/', post.id]" />
      <div class="video-overlay" *ngIf="post.type === 'video'" [routerLink]="['/post/', post.id]">
        <video>
          <source [src]="getUrl(post.image)" />
        </video>
      </div>
    </div>
  </div>

  <!-- <div class="posts">
    <div class="post">
      <div class="stats">
        <div class="icon">
          <i class="fa fa-star"></i>
          5648
        </div>
        <div class="description">I got defeated :(</div>
      </div>
      <img src="assets/images/cover.jpg" alt="" />
    </div>
  </div> -->
</div>
